<?PHP
@set_time_limit(0);
error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname (__FILE__));
define('ENGINE_DIR', ROOT_DIR.'/engine');

$config['charset'] = "UTF-8";
$db_charset = "cp1251";
$db_collate = "cp1251_general_ci";

include ENGINE_DIR.'/data/config.php';

if ($config['version_id'] < "6.7")
{
	define('INC_DIR', '/inc');

	$pack_classes = TRUE;
}
else
{
	define('INC_DIR', '/classes');
}

require_once ENGINE_DIR.INC_DIR.'/mysql.php';
include ENGINE_DIR.'/data/dbconfig.php';

extract($_REQUEST, EXTR_SKIP);

echo <<<HTML
<html dir=rtl>
<head>
<title>Installation Referer 3.4 Module</title>
<meta content="text/html; charset=UTF-8" http-equiv="content-type" />
<style type="text/css">
html, body {
	height: 100%;
	margin: 0px;
	padding: 0px;
	font-family:"Tahoma";
	font-size: 11px;
}
</style>
<table align=center style="vertical-align: middle;">
	براي نصب ماژول آخرين بازديدكنندگان، رو لينك زير كليك كنيد.<BR>
	<a style="color: #1176CC; text-decoration: none;" href="$PHP_SELF?action=install">[ Install Module ]</a>
</table>

HTML;

if($action == "install")
{ @unlink(ENGINE_DIR.'/cache/system/category.php');
@unlink(ENGINE_DIR.'/data/snap.db');

$tableSchema = array();
$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_referer";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_referer (
  `id` int(11) NOT NULL auto_increment,
  `referer` varchar(255) NOT NULL default '',
  `date` varchar(20) default NULL,
  `host` varchar(255) NOT NULL default '',
  `hits` smallint(10) default '0',
  `request` text NOT NULL,
  `uri` varchar(255) NOT NULL default '',
  `position` text NOT NULL,
  `user_ip` varchar(100) NOT NULL default '',
  `type` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";

foreach($tableSchema as $table) {

        $db->query($table);

      }

echo <<<HTML
<table align="center">
<BR><BR><BR>
نصب ماژول با موفقيت به پايان رسيد.<BR><BR>
لطفاً اين فايل اينستال رو حذف كنيد.
</table>
HTML;
}
?>